> ## Documentation Index
> Fetch the complete documentation index at: https://sendmux.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get mailbox usage

> Returns a compact usage view derived from mailbox quota records. Responses include a weak `ETag` header.



## OpenAPI

````yaml /openapi-app.json get /mailbox/usage
openapi: 3.1.0
info:
  description: Programmatic access to your Sendmux email infrastructure.
  title: Sendmux API
  version: 1.0.0
servers:
  - description: API v1
    url: https://app.sendmux.ai/api/v1
security:
  - bearerAuth: []
paths:
  /mailbox/usage:
    get:
      tags:
        - Mailbox API
      summary: Get mailbox usage
      description: >-
        Returns a compact usage view derived from mailbox quota records.
        Responses include a weak `ETag` header.
      operationId: mailboxListUsage
      parameters:
        - in: header
          name: If-None-Match
          required: false
          schema:
            type: string
        - description: >-
            Mailbox public ID to target when the credential grants access to
            more than one mailbox. Omit when the credential is scoped to exactly
            one mailbox.
          in: query
          name: mailbox_id
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxUsageResponse'
          description: Mailbox usage
        '304':
          description: Not modified
      security:
        - bearerAuth: []
components:
  schemas:
    MailboxUsageResponse:
      allOf:
        - $ref: '#/components/schemas/SuccessEnvelope'
        - properties:
            data:
              $ref: '#/components/schemas/MailboxUsage'
            meta:
              $ref: '#/components/schemas/ResponseMeta'
          required:
            - data
          type: object
      unevaluatedProperties: false
    SuccessEnvelope:
      properties:
        meta:
          additionalProperties: {}
          properties: {}
          type: object
        ok:
          enum:
            - true
          type: boolean
      required:
        - ok
        - meta
      type: object
    MailboxUsage:
      additionalProperties: false
      properties:
        resources:
          items:
            $ref: '#/components/schemas/MailboxUsageResource'
          type: array
        states:
          additionalProperties: false
          properties:
            quota_state:
              type:
                - string
                - 'null'
          required:
            - quota_state
          type: object
      required:
        - resources
        - states
      type: object
    ResponseMeta:
      additionalProperties: false
      properties:
        request_id:
          example: req_clxxxxxxxxxxxxxxxxxxxxxxxxx
          type: string
      required:
        - request_id
      type: object
    MailboxUsageResource:
      additionalProperties: false
      properties:
        hard_limit:
          type: integer
        limit_status:
          enum:
            - ok
            - warning
            - soft_limit
            - hard_limit
            - unknown
          type: string
        name:
          type: string
        percent_used:
          type:
            - number
            - 'null'
        quota_id:
          type: string
        resource_type:
          type: string
        scope:
          type: string
        soft_limit:
          type:
            - integer
            - 'null'
        types:
          items:
            type: string
          type: array
        used:
          type: integer
        warn_limit:
          type:
            - integer
            - 'null'
      required:
        - quota_id
        - name
        - resource_type
        - scope
        - types
        - used
        - hard_limit
        - warn_limit
        - soft_limit
        - percent_used
        - limit_status
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: >-
        Sendmux API key. Use a root API key for Management API routes, or a
        mailbox credential for Mailbox API routes. Obtain keys from the
        dashboard under API Keys.
      scheme: bearer
      type: http

````